<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>Class Hierarchy</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="board/package-tree.html">board</a>, </li>
<li><a href="cards/package-tree.html">cards</a>, </li>
<li><a href="game/package-tree.html">game</a>, </li>
<li><a href="player/package-tree.html">player</a>, </li>
<li><a href="tests/package-tree.html">tests</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">player.<a href="player/Bank.html" title="class in player"><span class="typeNameLink">Bank</span></a> (implements player.<a href="player/People.html" title="interface in player">People</a>)</li>
<li type="circle">game.<a href="game/Bid.html" title="class in game"><span class="typeNameLink">Bid</span></a></li>
<li type="circle">tests.<a href="tests/BidTest.html" title="class in tests"><span class="typeNameLink">BidTest</span></a></li>
<li type="circle">board.<a href="board/Board.html" title="class in board"><span class="typeNameLink">Board</span></a></li>
<li type="circle">tests.<a href="tests/BoardTest.html" title="class in tests"><span class="typeNameLink">BoardTest</span></a></li>
<li type="circle">cards.<a href="cards/Chance.html" title="class in cards"><span class="typeNameLink">Chance</span></a> (implements cards.<a href="cards/Card.html" title="interface in cards">Card</a>)</li>
<li type="circle">tests.<a href="tests/ChanceTest.html" title="class in tests"><span class="typeNameLink">ChanceTest</span></a></li>
<li type="circle">cards.<a href="cards/CommunityChest.html" title="class in cards"><span class="typeNameLink">CommunityChest</span></a> (implements cards.<a href="cards/Card.html" title="interface in cards">Card</a>)</li>
<li type="circle">tests.<a href="tests/CommunityChestTest.html" title="class in tests"><span class="typeNameLink">CommunityChestTest</span></a></li>
<li type="circle">cards.<a href="cards/Deck.html" title="class in cards"><span class="typeNameLink">Deck</span></a></li>
<li type="circle">tests.<a href="tests/DiceTest.html" title="class in tests"><span class="typeNameLink">DiceTest</span></a></li>
<li type="circle">game.<a href="game/Game.html" title="class in game"><span class="typeNameLink">Game</span></a></li>
<li type="circle">tests.<a href="tests/GameTest.html" title="class in tests"><span class="typeNameLink">GameTest</span></a></li>
<li type="circle">game.<a href="game/Input.html" title="class in game"><span class="typeNameLink">Input</span></a></li>
<li type="circle">game.<a href="game/Main.html" title="class in game"><span class="typeNameLink">Main</span></a></li>
<li type="circle">game.<a href="game/Messenger.html" title="class in game"><span class="typeNameLink">Messenger</span></a></li>
<li type="circle">player.<a href="player/Player.html" title="class in player"><span class="typeNameLink">Player</span></a> (implements player.<a href="player/People.html" title="interface in player">People</a>)</li>
<li type="circle">tests.<a href="tests/PlayerTest.html" title="class in tests"><span class="typeNameLink">PlayerTest</span></a></li>
<li type="circle">player.<a href="player/SixSidedDie.html" title="class in player"><span class="typeNameLink">SixSidedDie</span></a> (implements player.<a href="player/Dice.html" title="interface in player">Dice</a>)</li>
<li type="circle">board.<a href="board/Square.html" title="class in board"><span class="typeNameLink">Square</span></a>
<ul>
<li type="circle">board.<a href="board/BankDeposit.html" title="class in board"><span class="typeNameLink">BankDeposit</span></a></li>
<li type="circle">board.<a href="board/Chance.html" title="class in board"><span class="typeNameLink">Chance</span></a></li>
<li type="circle">board.<a href="board/CommunityChest.html" title="class in board"><span class="typeNameLink">CommunityChest</span></a></li>
<li type="circle">board.<a href="board/FreeParking.html" title="class in board"><span class="typeNameLink">FreeParking</span></a></li>
<li type="circle">board.<a href="board/GO.html" title="class in board"><span class="typeNameLink">GO</span></a></li>
<li type="circle">board.<a href="board/GoToJail.html" title="class in board"><span class="typeNameLink">GoToJail</span></a></li>
<li type="circle">board.<a href="board/IncomeTax.html" title="class in board"><span class="typeNameLink">IncomeTax</span></a></li>
<li type="circle">board.<a href="board/Jail.html" title="class in board"><span class="typeNameLink">Jail</span></a></li>
<li type="circle">board.<a href="board/PurchaseableSquare.html" title="class in board"><span class="typeNameLink">PurchaseableSquare</span></a>
<ul>
<li type="circle">board.<a href="board/Property.html" title="class in board"><span class="typeNameLink">Property</span></a></li>
<li type="circle">board.<a href="board/Transport.html" title="class in board"><span class="typeNameLink">Transport</span></a></li>
<li type="circle">board.<a href="board/Utilities.html" title="class in board"><span class="typeNameLink">Utilities</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">cards.<a href="cards/Card.html" title="interface in cards"><span class="typeNameLink">Card</span></a></li>
<li type="circle">player.<a href="player/Dice.html" title="interface in player"><span class="typeNameLink">Dice</span></a></li>
<li type="circle">player.<a href="player/People.html" title="interface in player"><span class="typeNameLink">People</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">board.<a href="board/Colour.html" title="enum in board"><span class="typeNameLink">Colour</span></a></li>
<li type="circle">cards.<a href="cards/CardType.html" title="enum in cards"><span class="typeNameLink">CardType</span></a></li>
<li type="circle">cards.<a href="cards/Action.html" title="enum in cards"><span class="typeNameLink">Action</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
